Subject: Re: [GSoC RFC PATCH v2 6/7] repo-info: add field layout.bare

From: Lucas Seiki Oshiro <[email-masked]>
Date: Thu, 3 Jul 2025 11:14:35 -0300

> Meh, `is_bare_repository()` strikes again :/

Yeah... I tried to avoid it but removing that dependency is work for its own
patch...

I asked Ayush [1] about this as his GSoC project [2] is related to reduce the
dependency on `the_repository`.

[1] https://lore.kernel.org/git/CAE7as+bTKE5opov-Xn0P8R+cy+=[email-masked]/
[2] https://summerofcode.withgoogle.com/programs/2025/projects/no7dVMeG